## org.apache.mahout.ga.watchmaker
Class STFitnessEvaluator<T>

    java.lang.Object
      org.apache.mahout.ga.watchmaker.STFitnessEvaluator<T>

All Implemented Interfaces:
  org.uncommons.watchmaker.framework.FitnessEvaluator<T>

Direct Known Subclasses:
  MahoutFitnessEvaluator

    public abstract class STFitnessEvaluator<T>

extends java.lang.Object
implements org.uncommons.watchmaker.framework.FitnessEvaluator<T>

Special Fitness Evaluator that evaluates all the population ones.

Constructor Summary
`STFitnessEvaluator()`

Method Summary
`protected abstract void` `evaluate(java.util.List<? extends T> population, java.util.List<java.lang.Double> evaluations)`
`double` `getFitness(T candidate, java.util.List<? extends T> population)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.uncommons.watchmaker.framework.FitnessEvaluator
`isNatural`

Constructor Detail

### STFitnessEvaluator

    public STFitnessEvaluator()

Method Detail

### getFitness

    public double getFitness(T candidate,
                             java.util.List<? extends T> population)

  Specified by:
    `getFitness` in interface `org.uncommons.watchmaker.framework.FitnessEvaluator<T>`

### evaluate

    protected abstract void evaluate(java.util.List<? extends T> population,
                                     java.util.List<java.lang.Double> evaluations)

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.